## graphicsmagick 1.3.30+hg15796

=== jbig/Makefile ===
# Unix makefile for JBIG-KIT
# $Id$

# Select an ANSI/ISO C compiler here, GNU gcc is recommended
CC = gcc

# Options for the compiler: A high optimization level is suggested
CCFLAGS = -O2 -W
#CCFLAGS = -O -g -W -Wall -ansi -pedantic #-DDEBUG  # developer only

CFLAGS = $(CCFLAGS) -I../libjbig

VERSION=1.6

all: lib pbm
	@echo "Enter 'make test' in order to start some automatic tests."

lib:
	(cd libjbig;  make "CC=$(CC)" "CFLAGS=$(CFLAGS)")

pbm: lib
	(cd pbmtools; make "CC=$(CC)" "CFLAGS=$(CFLAGS)")

test: lib pbm
	(cd libjbig;  make "CC=$(CC)" "CFLAGS=$(CFLAGS)" test)
	(cd pbmtools; make "CC=$(CC)" "CFLAGS=$(CFLAGS)" test)

clean:
	rm -f *~ core
	(cd libjbig; make clean)
	(cd pbmtools; make clean)

distribution: clean
	rm -f libjbig/libjbig.a
	(cd ..; tar -c -v --exclude RCS -f jbigkit-$(VERSION).tar jbigkit ; \
	  gzip -9f jbigkit-$(VERSION).tar )
	mv ../jbigkit-$(VERSION).tar.gz $(HOME)/public_html/download/
	cp CHANGES $(HOME)/public_html/jbigkit/

=== ralcgm/Makefile ===
# This file is only here for the recompilation of systems where
# the source, but not the configuration, is being changed.  It
# is a maintenance tool.
#
# CGMinstall and CGMconfig should be used before this is ever run.
#
SRC = ./src

ralcgm cgm:
	cd $(SRC); $(MAKE) ralcgm

cgmlib:
	cd $(SRC); $(MAKE) cgmlib

all:
	$(MAKE) ralcgm
	$(MAKE) cgmlib

clean:
	cd $(SRC); $(MAKE) clean

=== contrib/utilities/Makefile ===
CC=gcc
CFLAGS=-O
iptcutil: iptcutil.c
	$(CC) $(CFLAGS) -o iptcutil iptcutil.c

clean: 
	rm iptcutil *~

all: iptcutil

=== hp2xx/sources/Makefile ===
###########################################################################
#    Copyright (c) 1991 - 1994 Heinz W. Werntges.  All rights reserved.
#   Parts Copyright (c) 1999  Martin Kroeker  All rights reserved.
#    Distributed by Free Software Foundation, Inc.
#
# This file is part of HP2xx.
#
# HP2xx is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY.  No author or distributor accepts responsibility
# to anyone for the consequences of using it or for whether it serves any
# particular purpose or works at all, unless he says so in writing.  Refer
# to the GNU General Public License, Version 2 or later, for full details
#
# Everyone is granted permission to copy, modify and redistribute
# HP2xx, but only under the conditions described in the GNU General Public
# License.  A copy of this license is supposed to have been
# given to you along with HP2xx so you can know your rights and
# responsibilities.  It should be in a file named COPYING.  Among other
# things, the copyright notice and this notice must be preserved on all
# copies.
###########################################################################
#
# Generic Makefile for misc. versions of hp2xx; strong emphasis on UNIXes
#

# Utilities etc.:
#
SHELL    = /bin/sh

CHMOD    = chmod
CP       = cp
MKINFO   = makeinfo
RMCMD    = rm -f
STRIP    = strip

# Installation sites (GNU conventions):
#
prefix   = /usr/local
bindir   = $(prefix)/bin
includedir = $(prefix)/include
mandir   = $(prefix)/man
man1dir  = $(mandir)/man1
infodir  = $(prefix)/info

# CC and CFLAGS set for gcc, but any ANSI-C compiler should work.
# For non-gcc compilers, simply set CFLAGS = -O (to start with)
#
CC       = gcc
CFLAGS	= -O2 -m486 $(DEFINES) $(EX_DEFS) -Wall  \
	-fnative-struct -fno-rtti -fno-exceptions -mcpu=pentium -march=i386

#CFLAGS   = +O1 -Aa -D_HPUX_SOURCE -DSYSV -I/usr/include/X11R5 -I/usr/include/X11R4 $(DEFINES)

LFLAGS   = -s #-L/usr/X11R6/lib            # only sometimes needed; see below for examples
CPPFLAGS = -I.            # only sometimes needed; see below for examples
BINDCMD  =                # only needed for EMX and DJGPP DOS extenders



#############################################################################
# MAIN CONFIGURATION TASK:
# Define the target machine / OS by uncommenting the appropriate lines below.
# Remember to comment-out the defaults (a) if they do not apply!
#
# MS-Windows previewer
DEFINES   = -DUNIX -DEMF -D_NO_VCL -DNORINT
PREVIEWER = no_prev
#ALL_LIBS  = -lstdbin -lbinmode -lm -lpng -ltiff -ljpeg -lpdf -lz -lgdi32 -lcomdlg32
ALL_LIBS  = -lm -lgdi32 -lcomdlg32

# Generic UNIX + X11 previewer (default)
# add -lpng -lz for PNG support
# and/or -ltiff for TIFF
#
# DEFINES   = -DUNIX -DHAS_UNIX_X11 
# PREVIEWER = to_x11
# ALL_LIBS  = -L/usr/lib/X11R6 -lpng -ltiff -ljpeg -lz -lX11 -lm     
#
# Generic UNIX, no previewer
#
# DEFINES   = -DUNIX
# PREVIEWER = no_prev
# ALL_LIBS  = -lm
#
# Convex-OS
#
# DEFINES   = -DUNIX -DHAS_UNIX_X11
# PREVIEWER = to_x11
# ALL_LIBS  = -lX11 -lm
# CC        = cc
# CFLAGS    = -O
#
# SunOS + X11 previewer
#
# LFLAGS    = -L$(OPENWINHOME)/lib
# CPPFLAGS  = -I$(OPENWINHOME)/include
# DEFINES   = -DUNIX -DHAS_UNIX_X11
# PREVIEWER = to_x11
# ALL_LIBS  = -lX -lm
#
# SunOS + Sunview previewer
#
# DEFINES   = -DUNIX -DHAS_UNIX_SUNVIEW
# PREVIEWER = to_sunvw
# ALL_LIBS  = -lsunwindow -lsuntool -lpixrect -lm
#
# OS/2 2.x + PM previewer, gcc/emx
#
# SHELL     =
# DEFINES   = -DOS2 -DHAS_OS2_PM
# PREVIEWER = to_pm
# ALL_LIBS  = -los2 -lm
# BINDCMD   = emxbind -p c:/emx/bin/emxl.exe $(PROGRAM)
#
# OS/2 2.x + EMX full-screen previewer
#
# SHELL     =
# DEFINES   = -DOS2 -DHAS_OS2_EMX
# PREVIEWER = to_os2
# ALL_LIBS  = -los2 -lm
# BINDCMD   = emxbind -f c:/emx/bin/emxl.exe $(PROGRAM) -ac
#
#
#--------------------------------------------------------------------------
# Below find *fragments* of how to augment this makefile for other systems.
# Note that I simply collected all definitions I am currently aware of,
# but that this collection is still subject to change.
#
# You are welcome to improve it!
#
# Note also that most of the systems listed below are already supported
# by special makefiles, though I'd like to make these obsolete by a
# future version of this file. Currently, use the special makefile!
#
# I could not test the settings below, lacking a well-behaved DOS make.exe:
# DOS/DJGPP + DJ previewer		# Use dosdjgpp.mak !
#
# DEFINES   = -DDOS -DGNU -DHAS_DOS_DJGR
# PREVIEWER = to_dj_gr
# ALL_LIBS  = -lgr -lm
# BINDCMD   = copy /b c:\djgpp\bin\stub.exe+$(PROGRAM) $(PROGRAM).exe
#
# DOS / Borland bcc			# Use borland.mak !
#
# DEFINES   = -DDOS -DHAS_DOS_VGA
# PREVIEWER = to_vga
# ALL_LIBS  = -lm
#
# DOS / Borland bcc and Hercules previwer	# Patch and use borland.mak !
#
# DEFINES   = -DDOS -DHAS_DOS_HGC
# PREVIEWER = to_hgc
# ALL_LIBS  = -lm
#
# ATARI ST/TT
#
# DEFINES   = -DATARI			# Use atari.mak !
# PREVIEWER = to_atari
# ALL_LIBS  = -lm 	# Add whatever may be needed for Ataris
#
# AMIGA
#
# DEFINES   = -DAMIGA			# Use amiga.mak !
# PREVIEWER = to_amiga
# ALL_LIBS  = -lm 	# Add whatever may be needed for Amigas
#
# VAX/VMS	# Use VMS-MAKE.COM !
#
# DEFINES   = -DVAX
# PREVIEWER = to_uis
# ALL_LIBS  = -lm 	# Add whatever may be needed for VMS
#
#############################################################################
# Decide below if you want to include some extra modes:
#	Recommendation: Add PIC & PAC only for ATARI
#
# Standard setting: No extras:
#
EX_SRC =
EX_OBJ =
EX_DEFS =
# Include PDF support
#EX_SRC += to_pdf.c
#EX_OBJ += to_pdf.o
#EX_DEFS += -DUSEPDF
#
# Epson Esc/P2 support 
#
#EX_SRC	 += to_escp2.c
#EX_OBJ	 += to_escp2.o
#EX_DEFS += -DEPSON
#
# Include PNG support:
#EX_SRC  += png.c to_png.c
#EX_OBJ  += png.o to_png.o
#EX_DEFS += -DPNG
#
# Include TIFF support:
#EX_SRC  +=  to_tif.c
#EX_OBJ  += to_tif.o
#EX_DEFS += -DTIF
#
#EX_SRC  += to_jpg.c
#EX_OBJ  += to_jpg.o
#EX_DEFS += -DJPG
#
# Include ATARI extras:
# EX_SRC	+= to_pic.c to_pac.c
# EX_OBJ	+= to_pic.o to_pac.o
# EX_DEFS	+= -DPIC_PAC
#
 
# Include MS-Windows extras:
EX_SRC	+= to_emf.c
EX_OBJ	+= to_emf.o hp2xx-rc.o
 
# Rule to make compiled resource (Windows)
%-rc.o: %.rc
	windres -i $< -o $@

 
#############################################################################
# No user-serviceable parts below!
#############################################################################

COMMON_INCS	= hp2xx.h bresnham.h
ALL_INCS	= $(COMMON_INCS) chardraw.h charset0.h charset5.h charset7.h \
		getopt.h x11.h ilbm.h iff.h clip.h
ALL_CFLAGS	= -c $(CFLAGS)


# $(SRCS) NOT USED YET:
SRCS	= clip.c fillpoly.c\
	  hp2xx.c hpgl.c picbuf.c bresnham.c chardraw.c getopt.c getopt1.c \
	  $(ALL_INCS)\
	  to_vec.c to_pcx.c to_pcl.c to_eps.c to_img.c to_pbm.c  \
	  to_rgip.c to_fig.c std_main.c $(PREVIEWER).c pendef.c lindef.c $(EX_SRC)

OBJS	= clip.o fillpoly.o\
	  hp2xx.o hpgl.o picbuf.o bresnham.o chardraw.o getopt.o getopt1.o \
	  to_vec.o to_pcx.o to_pcl.o  to_eps.o to_img.o to_pbm.o \
	  to_rgip.o to_fig.o std_main.o $(PREVIEWER).o pendef.o lindef.o $(EX_OBJ)

PROGRAM	= hp2xx.exe

$(PROGRAM): $(OBJS)
	$(CC) $(LFLAGS) $(OBJS) $(ALL_LIBS) -o $(PROGRAM)
	$(BINDCMD)

default:
	@echo "This makefile needs manual configuration! Edit it now!
	@echo "After configuration, you may use the following commands:
	@echo   ""
	@echo   "make all             Compile everything"
	@echo   "make check           Run a color application in preview mode"
	@echo   "make install-bin     Install the binary file"
	@echo   "make install-man     Install the manual page"
	@echo   "make install-info    Create and install the info file"
	@echo   "make install         Install everything"
	@echo   "make mostlyclean"
	@echo   "make clean"
	@echo   "make realclean"



#########################################################################
#									#
# 			Implicit Rules					#
#									#
#########################################################################

# .c.o:	$< $(COMMON_INCS)
#	-$(RMCMD) $@
#	$(CC) $(DEFINES) $(EX_DEFS) $(ALL_CFLAGS) $(CPPFLAGS) $<


#########################################################################
#									#
# 			Explicit Rules					#
#									#
#########################################################################

hp2xx.info:	../doc/hp2xxinf.tex
		$(CP) ../doc/hp2xxinf.tex hp2xx.texinfo
		-$(MKINFO) hp2xx.texinfo

# bresnham.o:	$< bresnham.h

# chardraw.o:	$< $(COMMON_INCS) chardraw.h charset0.h

# getopt.o:	$< getopt.h

# getopt1.o:	$< getopt.h

# hp2xx.o:	$< $(COMMON_INCS) getopt.h

# hpgl.o:		$< $(COMMON_INCS) chardraw.h

# ilbm.o:		$< $(COMMON_INCS) ilbm.h iff.h

# to_x11.o:	$< $(COMMON_INCS) x11.h

#########################################################################

check:
	./$(PROGRAM) -m pre -c1234567 -h150 -w150 ../hp-tests/colors.hp

clean:
	-make mostlyclean
	-$(RMCMD) core a.out ./hp2xx.texinfo ./hp2xx.info $(PROGRAM)

distclean:
	@echo make distclean -- not supported yet.

dist:
	@echo make dist -- not supported yet.

mostlyclean:
	-$(RMCMD) *.o

realclean:
	-make clean
	-$(RMCMD) $(PROGRAM)

TAGS:
	@echo make TAGS -- not supported nor needed.

install:	install-bin install-info install-man

install-bin:	$(PROGRAM)
		-$(STRIP) $(PROGRAM)
		-$(CP) $(PROGRAM) $(bindir)
		-$(CHMOD) 755 $(bindir)/$(PROGRAM)

install-info:	hp2xx.info
		-$(CP) hp2xx.info $(infodir)
		-$(CHMOD) 644 $(infodir)/hp2xx.info

install-man:	../doc/hp2xx.1
		-$(CP) ../doc/hp2xx.1 $(man1dir)
		-$(CHMOD) 644 $(man1dir)/hp2xx.1

=== jbig/libjbig/Makefile ===
# Unix makefile for the JBIG-KIT library
# $Id$

# Select an ANSI/ISO C compiler here, GNU gcc is recommended
CC = gcc

# Options for the compiler: A high optimization level is suggested
CFLAGS = -O -Wall -ansi -pedantic

all: libjbig.a tstcodec

tstcodec: tstcodec.c jbig.c jbig.h jbig_tab.o
	$(CC) $(CFLAGS) -o tstcodec -DTEST_CODEC tstcodec.c jbig.c \
	jbig_tab.o

libjbig.a: jbig.o jbig_tab.o
	rm -f libjbig.a
	ar rc libjbig.a jbig.o jbig_tab.o
	-ranlib libjbig.a

jbig.o: jbig.c jbig.h

test: tstcodec
	./tstcodec

t82test.pbm: tstcodec
	./tstcodec $@

clean:
	rm -f *.o *~ core gmon.out dbg_d\=??.pbm tstcodec t82test.pbm

=== jbig/pbmtools/Makefile ===
# Unix makefile for the JBIG-KIT PBM tools
# $Id$

# Select an ANSI/ISO C compiler here, e.g. GNU gcc is recommended
CC = gcc

# Options for the compiler
CFLAGS = -g -Wall -ansi -pedantic -I../libjbig

.SUFFIXES: .1 .5 .txt $(SUFFIXES)

all: pbmtojbg jbgtopbm pbmtojbg.txt jbgtopbm.txt pbm.txt pgm.txt

pbmtojbg: pbmtojbg.o ../libjbig/libjbig.a
	$(CC) $(CFLAGS) -o pbmtojbg pbmtojbg.o -L../libjbig -ljbig

jbgtopbm: jbgtopbm.o ../libjbig/libjbig.a
	$(CC) $(CFLAGS) -o jbgtopbm jbgtopbm.o -L../libjbig -ljbig

jbgtopbm.o: jbgtopbm.c ../libjbig/jbig.h
pbmtojbg.o: pbmtojbg.c ../libjbig/jbig.h

../libjbig/libjbig.a: ../libjbig/jbig.c ../libjbig/jbig.h
	cd ../libjbig ; make libjbig.a

test: pbmtojbg jbgtopbm
	make IMG=ccitt1     OPTIONSJ=      OPTIONSP=       dotest1
	make IMG=ccitt2     OPTIONSJ=      OPTIONSP=       dotest1
	make IMG=ccitt3     OPTIONSJ=      OPTIONSP=       dotest1
	make IMG=xvlogo     OPTIONSJ=     "OPTIONSP=-d 3"  dotest1
	make IMG=sandra     OPTIONSP=      OPTIONSJ=       dotest2g
	make IMG=sandra     OPTIONSP=-b    OPTIONSJ=-b     dotest2g
	make IMG=sandra     OPTIONSP=-q    OPTIONSJ=       dotest2g
	make IMG=sandra    "OPTIONSP=-o 0" OPTIONSJ=       dotest2g
	make IMG=sandra    "OPTIONSP=-o 2" OPTIONSJ=       dotest2g
	make IMG=multi      OPTIONSP=      OPTIONSJ=       dotest2g
	make IMG=multi      OPTIONSP=-b    OPTIONSJ=-b     dotest2g
	make IMG=mx        "OPTIONSP=-q -s 3 -m 128"       dotest1
	make IMG=mx        "OPTIONSP=-q -s 3 -m 128"       dotest2b
	make IMG=mx        "OPTIONSP=-q -s 3 -m 128 -p 92" dotest2b
	make IMG=mx        "OPTIONSP=-q -Y -1"             dotest2b
	make IMG=mx        "OPTIONSP=-Y -1"                dotest2b
	rm -f test-*.jbg test-*.pbm test-*.pgm
	./jbgtopbm ../examples/ccitt1.jbg | ./pbmtojbg > test-ccitt1.jbg
	cmp ../examples/ccitt1.jbg test-ccitt1.jbg
	rm -f test-*.jbg test-*.pbm test-*.pgm
	./jbgtopbm < ../examples/ccitt1.jbg | ./pbmtojbg - test-ccitt1.jbg
	cmp ../examples/ccitt1.jbg test-ccitt1.jbg
	rm -f test-*.jbg test-*.pbm test-*.pgm
	./jbgtopbm < ../examples/ccitt1.jbg - test-ccitt1.pbm ; \
	  ./pbmtojbg test-ccitt1.pbm test-ccitt1.jbg
	cmp ../examples/ccitt1.jbg test-ccitt1.jbg
	rm -f test-*.jbg test-*.pbm test-*.pgm
	./jbgtopbm ../examples/ccitt1.jbg test-ccitt1.pbm ; \
	  ./pbmtojbg test-ccitt1.pbm >test-ccitt1.jbg
	cmp ../examples/ccitt1.jbg test-ccitt1.jbg
	rm -f test-*.jbg test-*.pbm test-*.pgm
	@echo
	@echo "The pbmtools have PASSED the functional tests. Good!"
	@echo

dotest1:
	./jbgtopbm $(OPTIONSJ) ../examples/$(IMG).jbg test-$(IMG).pbm
	./pbmtojbg $(OPTIONSP) test-$(IMG).pbm test-$(IMG).jbg
	cmp test-$(IMG).jbg ../examples/$(IMG).jbg

dotest2b:
	./pbmtojbg $(OPTIONSP) test-$(IMG).pbm test-$(IMG).jbg
	./jbgtopbm $(OPTIONSJ) test-$(IMG).jbg test-$(IMG)-2.pbm
	cmp test-$(IMG).pbm test-$(IMG)-2.pbm

dotest2g:
	./pbmtojbg $(OPTIONSP) ../examples/$(IMG).pgm test-$(IMG).jbg
	./jbgtopbm $(OPTIONSJ) test-$(IMG).jbg test-$(IMG).pgm
	cmp test-$(IMG).pgm ../examples/$(IMG).pgm

.1.txt:
	gtroff -man -Tascii $< | grotty -u -b - >$@

.5.txt:
	gtroff -man -Tascii $< | grotty -u -b - >$@

clean:
	rm -f *.o *~ core pbmtojbg jbgtopbm
	rm -f test-*.jbg test-*.pbm test-*.pgm

=== ralcgm/include/Makefile ===
#  RAL-CGM Interpreter - include Makefile
#
#    SYSTEM settings for known machines as follows:
#
#             (Topaz)      - topaz
#             (Sun 3 or 4) - sun
#             (Iris 3130)  - iris
#             (Iris 4D)    - iris4d
#             (Iris Indigo)- indigo
#             (IBM RS6000) - rs6000
#             (DECstation) - dec
#             (Unicos)     - cray
#             (VAX VMS)    - vms
#
SYSTEM =

ralcgm:	mach.h 

mach.h:	mc_$(SYSTEM).h Makefile
	cp mc_$(SYSTEM).h mach.h

clean:
	rm -f mach.h core a.out

=== ralcgm/src/Makefile ===
#  RAL-CGM Interpreter source Makefile: @(#) Makebase  version 3.4
#
#  Name of executable module (usually ../bin/ralcgm)
#
MODULE = ralcgm
#
#  Name of callable library (Optional) (usually ../bin/libcgm.a)
#
LIB = libcgm.a
#
#  Include file directory (usually ../include)
#
INCLUDE = /home/bfriesen/src/graphics/GraphicsMagick/ralcgm/include
#
#  Data files directory (usually ../data)
#
DATADIR = /usr/local/share/ralcgm
#
#  Main Interpreter object file (usually cgmmain.o)
#
MAIN = cgmmain.o
#
#
#
MAKEFILE = Makefile
#
#  CGM input encoding - Object files
#                       Include here files for each encoding that
#                       may need to be processed; usually
#                       cgmichar.o cgmitext.o cgmibin.o
#
INPUT = cgmichar.o cgmitext.o cgmibin.o
#
#  CGM output encoding - Object files
#                        Include here files for each encoding that
#                        may be generated; usually
#                        cgmochar.o cgmotext.o cgmobin.o
#
OUTPUT = cgmochar.o cgmotext.o cgmobin.o
#
#  User callable Library (comment out if not required)
#
CGMLIB = cgmlib.o
#
#  Optional Drivers
#
#     IGL - Iris Graphics Library
#     PS  - PostScript
#     XW  - X-Windows
#     VID - Topaz Library
#
IGL = cgmoigl.o
PS = cgmops.o
XW = cgmoxw.o
VID = cgmotpz.o
TEK = cgmotek.o
HPGL = cgmohpgl.o
#
#  List of driver files to be used in generating the $(MODULE).
#
#  The possible candidates are:
#
#     $(OUTPUT)       list of CGM output encodings defined above
#     $(IGL)          Iris graphics library
#     $(XW)           X-Windows
#     $(PS)           PostScript
#     $(HPGL)         HPGL
#     $(TEK)          Tektronix 4200
#     $(VID)          Video system
#
DRIVERS =  $(PS) $(XW) $(HPGL)
#
#  Input utilities Object files
#                These provides random access input and convenient
#                handling of input attributes
#
ERRUTILS = cgmerr.o
ERRINCLUDES = $(INCLUDE)/cgmerr.h

FILEUTILS = cgmfile.o
FILEINCLUDES = $(INCLUDE)/cgmfile.h

GENUTILS = $(FILEUTILS) $(ERRUTILS)
GENINCS  = $(FILEINCLUDES) \
	   $(ERRINCLUDES)

RANUTILS = cgmrand.o cgmprof.o
INPUTILS = cgminput.o
#
#  Output utility Object files (only needed with output drivers)
#                 These provide emulation of GDPs, filled areas
#                 and other graphical operations. Not needed by all drivers
#                 currently cgmgdp.o is used by XW, IGL & VID
#                           cgmfill.o & cgmgraph.o are used by IGL only
#
ATTUTILS = cgmatt.o
GDPUTILS = cgmgdp.o
FILUTILS = cgmpoly.o cgmtrap.o cgmfill.o cgmgraph.o
COLRUTILS = cgmcolr.o
CELLUTILS = cgmcell.o
PTSUTILS = cgmpts.o
#
OUTUTILS =     
#
#  Text utility Object files
#                 These provide software emulation of text and
#                 generally useful text facilities.
#
#                 cgmtext.o  - general text utility - PS & XW
#                 cgmfont.o  - general font utility - PS & XW
#                 cgmbez.o   - Bezier text - if wanted
#                 cgmher.o   - Hershey text - if wanted
#
FNTUTILS = cgmfont.o
FNTINCLUDES = $(INCLUDE)/cgmfont.h
TEXTUTILS = cgmtext.o
TEXTINCLUDES = $(INCLUDE)/cgmtext.h
#
BEZIER = genbez
BEZUTILS = cgmbez.o
BEZLINK = $(BEZIER).o
BEZDATA = $(DATADIR)/*.bfs
BEZINCLUDES = $(INCLUDE)/cgmbez.h
#
HERSHEY = genher
HERUTILS = cgmher.o
HERLINK = $(HERSHEY).o
HERDATA = $(DATADIR)/*.hfs
HERINCLUDES = $(INCLUDE)/cgmher.h
#
#    TXTSYS settings, supported text systems are:
#
#             $(HERSHEY)
#             $(BEZIER)
#
TXTSYS = 
#
#    TXTUTILS settings, supported text utilities are:
#
#             $(HERUTILS)
#             $(BEZUTILS)
#   List of utility modules required;
#
TXTUTILS = 
#
#
CGMUTILS = $(RANUTILS)\
           $(INPUTILS)\
           $(GENUTILS)\
           $(OUTUTILS)\
           $(TXTUTILS)\
           $(TEXTUTILS)\
	   $(FNTUTILS) \
	   $(ATTUTILS) \
	   $(PTSUTILS) \
	   $(FILUTILS) \
	   $(GDPUTILS) \
	   $(COLRUTILS)
#
#  Set up names for the modules that make up `ralcgm' and `cgmlib'.
#
RALCGM = $(INPUT)\
         $(OUTPUT)\
         $(DRIVERS)\
         $(CGMUTILS)

LIBCGM = $(CGMLIB)\
         $(OUTPUT)\
         $(DRIVERS)\
         $(INPUTILS)\
         $(GENUTILS)\
         $(OUTUTILS)\
         $(TXTUTILS)\
         $(TEXTUTILS)\
         $(FNTUTILS)
#
#  Local flags for Compiler (system dependent)
#
#      Examples:   (Iris 3130)         -Zf           -g      -p
#                  (Iris 4D)           -O
#                  (GNU C on Topaz)    -O -m68881    -g
#                  (Sun 3)             -O -fswitch
#                  (Sun 4)             -O
#                  (Unicos)            -O            -g
#
CFLAGS = -c -O0 -DPOSTSCRIPT="" -DXW="" -I/usr/X11R6/include -DHPGL=""
#
#  Local flags for Linker (system dependent)
#  For X-windows, add some extra libraries (comment out otherwise)
#
#      Examples:   (Iris 3130)         -Zg -lm
#                  (Iris 4D)           -lm -lgl_s -lX11_s -lc_s
#                  (Topaz)             -lE -lmalloc -lm
#                  (Sun 3 or 4)        -lm -lX11 -lc
#                  (Unicos)            -lm -lX11 -lnet -lc
#                  (Unicos - scc)      -lm -lX11 -lnet -lsc
#
LFLAGS = -lm -L/usr/X11R6/lib -lX11 -lc
#
#  Common include files
#
GENINCLUDES = $(INCLUDE)/cgmmach.h $(INCLUDE)/mach.h \
	$(INCLUDE)/cgmtypes.h \
	$(INCLUDE)/cgmstruc.h \
	$(INCLUDE)/cgmelem.h \
	$(INCLUDE)/cgmpar.h \
	$(INCLUDE)/cgmtran.h \
	$(INCLUDE)/cgmatt.h
#
#  List of includes for the text system; must match the text utility
#  .o files given above.
#
INCLUDES = $(GENINCLUDES) $(TXTINCLUDES) $(FNTINCLUDES) \
           $(BEZINCLUDES) $(HERINCLUDES) $(GENINCS)
#
#  Define various commands in just one place.
#
#         for Unicos   LINK = segldr
#                      AR   = bld rv
#         all others   LINK = cc $(LFLAGS)
#                      AR = ar rv
#
COMPILE = cc
LINK = cc
AR = ar rv
#
#   Main dependencies (should not need altering)

ralcgm:	$(MODULE) $(TXTSYS)
	@echo "$(MODULE) is now made"

cgmlib:	$(LIB) $(TXTSYS)
	@echo "$(LIB) is now made"

iutils: $(INPUTILS) $(GENUTILS)

outils: $(OUTUTILS)

tutils: $(TXTUTILS)

clean:
	rm -f *.o core a.out $(TXTSYS)

$(MODULE):	$(MAIN) $(RALCGM)
	$(LINK) $(MAIN) $(RALCGM) $(LFLAGS) -o $(MODULE)
	chmod 755 $(MODULE)

$(LIB):	$(LIBCGM)
	$(AR) $(LIB) $(LIBCGM)
	chmod 644 $(LIB)

#  include file dependencies

$(MAIN):	$(INCLUDE)/cgminit.h $(GENINCLUDES) $(MAKEFILE)

$(CGMLIB):	$(INCLUDE)/cgmlib.h $(INCLUDE)/cgminit.h $(INCLUDE)/cgmin.h \
                $(GENINCLUDES) $(MAKEFILE)

$(INPUT) $(INPUTILS) $(RANUTILS):	$(INCLUDE)/cgmin.h $(GENINCLUDES) $(MAKEFILE)

$(GENUTILS):	$(GENINCLUDES)

$(OUTPUT) $(OUTUTILS):	$(GENINCLUDES) $(MAKEFILE)

$(DRIVERS):	$(INCLUDE)/cgmout.h \
                $(INCLUDES) \
                $(MAKEFILE)

$(FNTUTILS):	$(FNTINCLUDES) \
		$(INCLUDE)/cgmufont.h \
                $(TXTINCLUDES) \
                $(MAKEFILE)

$(TEXTUTILS):	$(TEXTINCLUDES) \
		$(FNTINCLUDES) \
                $(MAKEFILE)

$(ERRUTILS):	$(ERRINCLUDES) \
		$(GENINCLUDES) \
		$(MAKEFILE)

$(BEZUTILS):	$(BEZINCLUDES) \
		$(INCLUDE)/cgmubez.h \
		$(GENINCLUDES) \
		$(MAKEFILE)

$(BEZIER):	$(BEZLINK) \
                $(GENINCS) \
		$(INCLUDE)/cgmubez.h \
		$(BEZDATA) \
		$(MAKEFILE)
	$(LINK) $(BEZLINK) $(GENUTILS) $(LFLAGS) -o $(BEZIER)
	./$(BEZIER)
	chmod 644 $(DATADIR)/*.bfb $(DATADIR)/fontdir.bez

$(HERUTILS):	$(HERINCLUDES) \
		$(INCLUDE)/cgmuher.h \
		$(GENINCLUDES) \
		$(MAKEFILE)

$(HERSHEY):	$(HERLINK) \
		$(GENINCS) \
		$(INCLUDE)/cgmuher.h \
		$(HERDATA) \
		$(MAKEFILE)
	$(LINK) $(HERLINK) $(GENUTILS) $(LFLAGS) -o $(HERSHEY)
	./$(HERSHEY)
	chmod 644 $(DATADIR)/*.hfb $(DATADIR)/fontdir.her

$(IGL):	$(INCLUDE)/cgmigl.h \
        $(INCLUDE)/cgmgdp.h \
        $(INCLUDE)/cgmfill.h \
        $(INCLUDE)/cgmgraph.h \
	$(INCLUDE)/cgmpoly.h \
        $(INCLUDE)/cgmtrap.h

$(PS):	$(INCLUDE)/cgmps.h \
        $(INCLUDE)/cgmgdp.h \
	$(INCLUDE)/cgmpoly.h \
        $(INCLUDE)/cgmtrap.h

$(XW):	$(INCLUDE)/cgmxw.h \
	$(INCLUDE)/cgmgdp.h

$(HPGL):	$(INCLUDE)/cgmhpgl.h \
	$(INCLUDE)/cgmgdp.h \
	$(INCLUDE)/cgmcolr.h

$(TEK):	$(INCLUDE)/cgmtek.h \
        $(INCLUDE)/cgmgdp.h \
        $(INCLUDE)/cgmcolr.h \
        $(INCLUDE)/cgmcell.h \
        $(INCLUDE)/cgmpts.h

.c.o:
	$(COMPILE) $(CFLAGS) -I$(INCLUDE) $<

.SUFFIXES: .c .o

=== debian/changelog ===
graphicsmagick (1.3.30+hg15796-1~deb9u5) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2020-12672
    Fix for a heap-based buffer overflow in ReadMNGImage() in coders/png.c.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 26 Jan 2022 18:03:02 +0100

graphicsmagick (1.3.30+hg15796-1~deb9u4) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2019-12921: remote information disclosure (attacker can read
    arbitrary files) via a crafted image; fix is to remove support for reading
    from a file using '@filename' syntax
  * Fix CVE-2020-10938: Fix signed overflow on range check in
    HuffmanDecodeImage function which leads to heap overflow in 32-bit
    applications.

 -- Roberto C. Sanchez <roberto@debian.org>  Tue, 14 Apr 2020 21:51:48 -0400

graphicsmagick (1.3.30+hg15796-1~deb9u3) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2019-19953
    heap-based buffer over-read in the function EncodeImage 
  * CVE-2019-19951
    heap-based buffer overflow in the function ImportRLEPixels 
  * CVE-2019-19950
    use-after-free in ThrowException and ThrowLoggedException
  * CVE-2019-11474: floating-point exception in coders/xwd.c when processing
    crafted XWD images.
  * CVE-2019-11473: out-of-bounds read in coders/xwd.c when processing crafted
    XWD images.
  * CVE-2019-11506: missing error handling primitives causes heap-based
    buffer overflow in WriteMATLABImage (coders/mat.c) when processing crafted
    Matlab matrix data.
  * CVE-2019-11505: heap-based buffer overflow in WritePDBImage (coders/pdb.c)
    when processing crafted PDB images.
  * CVE-2019-11010:
    In GraphicsMagick there is a memory leak in the function ReadMPCImage which
    allows attackers to cause a denial of service via a crafted image file.
  * CVE-2019-11009:
    In GraphicsMagick there is a heap-based buffer over-read in the function
    ReadXWDImage which allows attackers to cause a denial of service or
    information disclosure via a crafted image file.
  * CVE-2019-11008:
    In GraphicsMagick there is a heap-based buffer overflow in the function
    WriteXWDImage which allows remote attackers to cause a denial of service
    (application crash) or possibly have unspecified other impact via a crafted
    image file.
  * CVE-2019-11007:
    In GraphicsMagick there is a heap-based buffer over-read in the
    ReadMNGImage function which allows attackers to cause a denial of service
    or information disclosure via an image colormap.
  * CVE-2019-11006:
    In GraphicsMagick exists a heap-based buffer over-read in the function
    ReadMIFFImage which allows attackers to cause a denial of service or
    information disclosure via an RLE packet.
  * CVE-2019-11005
    stack buffer overflow while parsing quoted font family value
  * CVE-2018-20189
    assertion failure in ReadDIBImage
  * CVE-2018-20185
    heap-based buffer over-read in the ReadBMPImage
  * CVE-2018-20184
    heap-based buffer overflow in the WriteTGAImage
 
 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 29 Jan 2020 19:03:02 +0100

graphicsmagick (1.3.30+hg15796-1~deb9u2) stretch-security; urgency=medium

  * Backport fix for case-insensitive static module loader (closes: #911386).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 21 Oct 2018 17:36:20 -0400

graphicsmagick (1.3.30+hg15796-1~deb9u1) stretch-security; urgency=high

  * Security backport for Stretch.
  * Relax g++ build dependency.
  * Relax debhelper build dependency.
  * Relax Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 03 Oct 2018 20:33:06 +0000

graphicsmagick (1.3.30+hg15796-1) unstable; urgency=high

  * Mercurial snapshot, fixing the following security issues:
    - WEBP: Fix compiler warnings regarding uninitialized structure members,
    - ReadJPEGImage(): Allow libjpeg to use 1/5th of the total memory limit,
    - ReadJPEGImage(): Make sure that JPEG pixels array is initialized in
      case libjpeg fails to completely initialize it,
    - WriteOnePNGImage(): Free png_pixels as soon as possible,
    - ReadMIFFImage(): Detect EOF when reading using ReadBlobZC() and avoid
      subsequent heap read overflow,
    - ReadMVGImage(): Don't assume that in-memory MVG blob is a
      null-terminated C string,
    - ReadMVGImage(): Don't allow MVG files to side-load a file as the
      drawing primitive using '@' syntax,
    - FileToBlob(): Use confirm access APIs to verify that read access is
      allowed, and verify that file is a regular file,
    - ExtractTokensBetweenPushPop() needs to always return a valid pointer
      into the primitive string,
    - DrawPolygonPrimitive(): Fix leak of polygon set when object is
      completely outside image,
    - SetNexus(): For requests one pixel tall, SetNexus() was wrongly using
      pixels in-core rather than using a staging area for the case where the
      nexus rows extend beyond the image raster boundary,
    - ReadCINEONImage(): Quit immediately on EOF and detect short files,
    - ReadMVGImage(): Fix memory leak,
    - Add mechanism to approve embedded subformats in WPG,
    - ReadXBMImage(): Add validations for row and column dimensions,
    - MAT InsertComplexFloatRow(): Avoid signed overflow,
    - InsertComplexFloatRow(): Try not to lose the previous intention while
      avoiding signed overflow,
    - XBMInteger(): Limit the number of hex digits parsed to avoid signed
      integer overflow,
    - MAT: More aggresive data corruption checking,
    - MAT: Correctly check GetBlobSize(image) even for zipstreams inside
      blob,
    - MAT: Explicitly reject non-seekable streams,
    - DrawImage(): Add missing error-reporting logic to return immediately
      upon memory reallocation failure. Apply memory resource limits to
      PrimitiveInfo array allocation,
    - MagickAtoFChk(): Add additional validation checks for floating point


=== debian/control ===
Source: graphicsmagick
Section: graphics
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 10), libjpeg-dev, liblcms2-dev, libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libexif-dev, libbz2-dev, libtiff-dev, libjbig-dev, zlib1g-dev | libz-dev, libpng-dev, libwebp-dev, perl (>= 5.20), ghostscript, gsfonts, transfig, sharutils, libltdl-dev
Standards-Version: 3.9.8
Homepage: http://www.graphicsmagick.org/

Package: graphicsmagick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: graphicsmagick-doc, imagemagick (<< 6:6.2.4.4)
Suggests: graphicsmagick-dbg
Description: collection of image processing tools
 GraphicsMagick provides a set of command-line applications to manipulate
 image files. It is a fork of the ImageMagick project and therefore offers
 a similar set of features, but puts a larger emphasis on stability.
 .
 The tools support a large variety of image formats from the widely used
 jpeg, tiff, bmp or xpm to special-purpose formats such as fits or image
 formats found on some photo CDs. They can convert between formats,
 concatenate several images into one, annotate and distort them, create
 thumbnails or manipulate the colormap. While all features are available
 from the command-line, the package also includes an image viewer that
 allows interactive manipulation.
 .
 Note that unlike ImageMagick, the GraphicsMagick tools are accessed
 through a single executable called 'gm'. Therefore, GraphicsMagick and
 ImageMagick can be used in parallel. Install package
 graphicsmagick-imagemagick-compat to obtain a set of several executables
 that is compatible to ImageMagick's interface.

Package: libgraphicsmagick-q16-3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphicsmagick3 (>= 1.3.21)
Replaces: libgraphicsmagick3 (>= 1.3.21)
Recommends: ghostscript, gsfonts
Suggests: graphicsmagick-dbg
Description: format-independent image processing - C shared library
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the C libraries needed to run executables that use
 the GraphicsMagick library.

Package: libgraphicsmagick1-dev
Architecture: any
Section: libdevel
Depends: libgraphicsmagick-q16-3 (= ${binary:Version}), libjpeg-dev, liblcms2-dev, libwmf-dev, libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libtiff-dev, libjbig-dev, libc6-dev, zlib1g-dev | libz-dev, libpng-dev, libexif-dev, libbz2-dev, libltdl-dev, libwebp-dev, ${misc:Depends}
Breaks: libgraphicsmagick++1-dev (<< 1.3.21-2)
Suggests: graphicsmagick
Provides: libgraphicsmagick-dev
Description: format-independent image processing - C development files
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the C development headers and library files needed to
 compile programs using the GraphicsMagick library.

Package: libgraphicsmagick++-q16-12
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgraphicsmagick++-q16-11 (= 1.3.22-1)
Replaces: libgraphicsmagick++-q16-11 (= 1.3.22-1)
Suggests: graphicsmagick-dbg
Description: format-independent image processing - C++ shared library
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the C++ libraries needed to run executables that use
 the GraphicsMagick++ library.

Package: libgraphicsmagick++1-dev
Architecture: any
Section: libdevel
Depends: libgraphicsmagick++-q16-12 (= ${binary:Version}), libgraphicsmagick1-dev, ${misc:Depends}
Suggests: graphicsmagick
Provides: libgraphicsmagick++-dev
Description: format-independent image processing - C++ development files
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the C++ development headers and library files needed to
 compile programs using the GraphicsMagick++ library.

Package: libgraphics-magick-perl
Architecture: any
Section: perl
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: graphicsmagick-dbg
Description: format-independent image processing - perl interface
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains the classes to access GraphicsMagick functionality from
 Perl scripts. It is mostly similar to PerlMagick from the ImageMagick suite,
 but uses a different class name.

Package: graphicsmagick-imagemagick-compat
Architecture: all
Depends: graphicsmagick, ${misc:Depends}
Provides: imagemagick
Conflicts: imagemagick
Replaces: imagemagick
Description: image processing tools providing ImageMagick interface
 GraphicsMagick provides a set of command-line applications to manipulate
 image files. It is a fork of the ImageMagick project and therefore offers
 a similar set of features, but puts a larger emphasis on stability.
 .
 With this package installed, the GraphicsMagick command line tools can
 be executed like their ImageMagick counterparts. It allows one to migrate
 scripts from ImageMagick to GraphicsMagick without any code changes.

Package: graphicsmagick-libmagick-dev-compat
Architecture: all
Depends: libgraphicsmagick1-dev, libgraphicsmagick++1-dev, libgraphics-magick-perl, ${misc:Depends}
Provides: libmagick-dev, libmagick++-dev, perlmagick
Conflicts: libmagick-dev, libmagickcore-dev, libmagick6-dev, libmagick9-dev, libmagick++-dev, libmagick++6-dev, libmagick++9-dev, perlmagick
Replaces: libmagick-dev, libmagickcore-dev, libmagick6-dev, libmagick9-dev, libmagick++-dev, libmagick++6-dev, libmagick++9-dev, perlmagick
Description: image processing libraries providing ImageMagick interface
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick libraries are a fork of ImageMagick and therefore offer
 programming interfaces that are mostly compatible. While there might be
 small differences, experience tells that many programs only use a compatible
 subset and build fine with either GraphicsMagick or ImageMagick. 
 .
 While GraphicsMagick uses different names for libraries, classes, and
 helper applications in order to coexist with ImageMagick, this package
 intends to minimise porting efforts by exporting the GraphicsMagick
 interface with the usual ImageMagick names. Note that this package only
 tries to provide build-time compatibility. Run-time libraries of
 ImageMagick and GraphicsMagick are incompatible and cannot be interchanged.
 .
 This package includes compatibility wrappers for the C, C++, and Perl
 libraries.

Package: graphicsmagick-dbg
Architecture: any
Section: debug
Depends: graphicsmagick (= ${binary:Version}), libgraphicsmagick-q16-3 (= ${binary:Version}), libgraphicsmagick++-q16-12 (= ${binary:Version}), libgraphics-magick-perl (= ${binary:Version}), ${misc:Depends}
Description: format-independent image processing - debugging symbols
 GraphicsMagick provides libraries in several programming languages to read,
 write and manipulate image files across a large number of formats, from the
 widely used jpeg, tiff, bmp or xpm to special-purpose formats such as fits or
 image formats found on some photo CDs. There are functions for finegrained
 image processing tasks, as well as conversion routines between the various
 image formats.
 .
 The GraphicsMagick library is a fork of ImageMagick and therefore offers
 an interface that is similar in features, but intended to be more stable
 across releases. While compatibility does not go so far that the
 GraphicsMagick library serves as a drop-in replacement for ImageMagick,
 conversion can usually be done with little effort.
 .
 This package contains debugging symbols for the gm executable as well as the
 C, C++, and Perl bindings. Tools like gdb and ltrace make use of these
 symbols.

## graphicsmagick 1.4~hg15873

=== debian/changelog ===
graphicsmagick (1.4~hg15873-1) unstable; urgency=high

  * Mercurial snapshot, fixing the following security issues:
    - WriteImage(): Eliminate use of just-freed memory in clone_info->magick,
    - ReadMIFFImage(): Fix memory leak of profiles 'name' when claimed length
      is zero,
    - WriteXPMImage(): Assure that added colormap entry for transparent XPM
      is initialized,
    - ReadMNGImage(): Fix non-terminal MNG looping,
    - ReadMIFFImage(): Sanitize claimed profile size before allocating memory
      for it,
    - CVE-2018-20185: ReadBMPImage(): Fix heap overflow in 32-bit build due
      to arithmetic overflow (closes: #916719),
    - CVE-2018-20184: WriteTGAImage(): Image rows/columns must not be larger
      than 65535 (closes: #916721),
    - ReadTIFFImage(): More validations and stricter error reporting,
    - ReadMIFFImage(): Detect and reject zero-length deflate-encoded row in
      MIFF version 0,
    - CVE-2018-20189: ReadDIBImage(): DIB images claiming more than 8-bits
      per pixel are not colormapped (closes: #916752).
  * Add pkg-config to build dependency for FreeType 2.9.1+ detection.
  * Update library symbols for this release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 20 Dec 2018 19:04:33 +0000

graphicsmagick (1.3.31-1) unstable; urgency=high

  * New upstream release.
  * Fix CVE-2018-18544: memory leak of msl_image if OpenBlob() fails in
    ProcessMSLScript() .
  * Can detect FreeType via pkg-config (closes: #887720).
  * Enable Zstandard, the fast lossless compression algorithm support.
  * Update library symbols for this release.
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 20 Nov 2018 17:16:37 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: graphics
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 10), libjpeg-dev, liblcms2-dev, libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libexif-dev, libbz2-dev, libtiff-dev, libjbig-dev, zlib1g-dev | libz-dev, libpng-dev, libwebp-dev, perl (>= 5.20), ghostscript, gsfonts, transfig, sharutils, libltdl-dev
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11), pkg-config, libjpeg-dev, liblcms2-dev, libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libexif-dev, libbz2-dev, libtiff-dev (>= 4.0.10), libjbig-dev, zlib1g-dev | libz-dev, libpng-dev, libwebp-dev, libzstd-dev, perl (>= 5.20), ghostscript, gsfonts, transfig, sharutils, libltdl-dev
+Standards-Version: 4.2.1
 Homepage: http://www.graphicsmagick.org/
 
 Package: graphicsmagick
@@ -33,7 +33,7 @@
 Package: libgraphicsmagick-q16-3
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libtiff5 (>= 4.0.10), ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libgraphicsmagick3 (>= 1.3.21)
 Replaces: libgraphicsmagick3 (>= 1.3.21)
 Recommends: ghostscript, gsfonts
@@ -58,7 +58,7 @@
 Package: libgraphicsmagick1-dev
 Architecture: any
 Section: libdevel
-Depends: libgraphicsmagick-q16-3 (= ${binary:Version}), libjpeg-dev, liblcms2-dev, libwmf-dev, libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libtiff-dev, libjbig-dev, libc6-dev, zlib1g-dev | libz-dev, libpng-dev, libexif-dev, libbz2-dev, libltdl-dev, libwebp-dev, ${misc:Depends}
+Depends: libgraphicsmagick-q16-3 (= ${binary:Version}), libjpeg-dev, liblcms2-dev, libwmf-dev, libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libtiff-dev (>= 4.0.10), libjbig-dev, libc6-dev, zlib1g-dev | libz-dev, libpng-dev, libexif-dev, libbz2-dev, libltdl-dev, libwebp-dev, libzstd-dev, ${misc:Depends}
 Breaks: libgraphicsmagick++1-dev (<< 1.3.21-2)
 Suggests: graphicsmagick
 Provides: libgraphicsmagick-dev

## graphicsmagick 1.4~hg15880

=== debian/changelog ===
graphicsmagick (1.4~hg15880-1) unstable; urgency=high

  * Mercurial snapshot, fixing the following security issues:
    - SetNexus(): Merge IsNexusInCore() implementation code into SetNexus()
      and add check for if cache_info->pixels is null,
    - CVE-2018-20185: BMP and DIB: Improve buffer size calculations to guard
      against arithmetic overflow.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 05 Feb 2019 20:44:14 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 11), pkg-config, libjpeg-dev, liblcms2-dev, libwmf-dev (>= 0.2.8.4), libx11-dev, libsm-dev, libice-dev, libxext-dev, x11proto-core-dev, libxml2-dev, libfreetype6-dev, libexif-dev, libbz2-dev, libtiff-dev (>= 4.0.10), libjbig-dev, zlib1g-dev | libz-dev, libpng-dev, libwebp-dev, libzstd-dev, perl (>= 5.20), ghostscript, gsfonts, transfig, sharutils, libltdl-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://www.graphicsmagick.org/
 
 Package: graphicsmagick

## graphicsmagick 1.4~hg15896

=== debian/changelog ===
graphicsmagick (1.4~hg15896-1) unstable; urgency=high

  * Mercurial snapshot, fixing the following security issues:
    - ReadMNGImage(): Quit processing and report error upon failure to insert
      MNG background layer preventing out of memory issues,
    - ReadMIFFImage(): Improve pixel buffer calculations to defend against
      overflow,
    - ReadTIFFImage(): Make sure that image is in DirectClass mode and ignore
      any claimed colormap when the image is read using various functions,
    - ReadWPGImage(): Assure that all colormap entries are initialized,
    - DecodeImage(): Avoid a one-byte over-read of pixels heap allocation,
    - ReadTIFFImage(): Assure that opacity channel is initialized in the
      RGBAStrippedMethod case,
    - ReadMNGImage(): Bound maximum loop iterations by subrange as a
      primitive means of limiting resource consumption preventing out of
      memory issues,
    - CVE-2019-7397: WritePDFImage(): Make sure to free 'xref' before
      returning preventing several memory leaks,
    - ReadTIFFImage(): For planar TIFF, make sure that pixels are initialized
      in case some planes are missing.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 16 Feb 2019 15:19:56 +0000
